=== debian/changelog ===
restricted-manager (0.20) feisty; urgency=low

  * RestrictedManager/nvidia.py: Override is_loaded() and check for the
    "nvidia" module also for legacy and new, since all three modules appear as
    just "nvidia" in lsmod. (LP: #105812)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Apr 2007 10:35:08 +0200

restricted-manager (0.19) feisty; urgency=low

  [ Martin Pitt ]
  * debian/control: Add X-Vcs-Bzr.
  * autostart/restricted-manager.desktop.in: Fix capitalization. (LP: #103248)
  * RestrictedManager/core.py: Keep track of whether a module's enable status
    has changed throughout program runtime, add method is_changed().
  * restricted-manager: Only set status 'needs computer restart' if the module
    actually has been enabled/disabled. This avoids marking modules as 'needs
    computer restart' which haven't been touched, but were not loaded due to
    missing hardware (such as the commercial OSS drivers). (LP: #102468)
  * restricted-manager: Disable tree view while enabling/disabling a driver
    (which takes a long time for X.org drivers). (LP: #103129)
  * RestrictedManager/xorg_driver.py: Move DefaultHandler enable/disable calls
    after package installation and check, so that aborted package operations
    do not cause the module to get (un)blacklisted and the UI to become
    inconsistent. (LP: #104111)
  * RestrictedManager/nvidia.py: Add class NewNvidiaDriver for the new
    nvidia-glx-new driver package.

  [ Johan Kiviniemi ]
  * debian/apport_hook.py, debian/rules: Add an apport hook that attaches
    /etc/X11/xorg.conf and a list of connected devices to the bug report.
  * RestrictedManager/core.py: Also read the modalias overrides now provided
    by linux-restricted-modules.
  * modalias_override/{ath_hal,fglrx,nvidia}: Remove, since l-r-m provides
    them now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Apr 2007 14:09:39 +0200

restricted-manager (0.18) feisty; urgency=low

  * RestrictedManager/xorg_driver.py: Intercept ParseException and
    AttributeError when parsing xorg.conf, and display an error dilaog instead
    of crashing. (LP: #102052)
  * restricted-manager: Set gettext domain for the glade file to get a
    translated window title. (LP: #99357)
  * RestrictedManager/restricted22.png: Replace with a non-blurry version,
    thanks to Jef! (LP: #102641)
  * RestrictedManager/core.py, save_restricted_list(): If we encounter an
    exception during writing the cache file (e. g. out of space), unlink it,
    so that we ensure to never have broken cache files. (LP: #101883)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  4 Apr 2007 11:45:38 +0200

restricted-manager (0.17) feisty; urgency=low

  * debian/rules: Build with DH_PYCENTRAL=nomove, just to make double sure to
    circumvent #93795.
  * RestrictedManager/xorg_driver.py: Do not crash on empty lines in the
    Module section. (LP: #98579)
  * restricted-manager: Use the update-notifier reload icon instead of the
    stock Gnome 'refresh' one for consistency. Thanks to izi for the patch!
    (LP: #97726)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Mar 2007 15:23:07 +0200

restricted-manager (0.16) feisty; urgency=low

  * restricted-manager: Add proper status text for 'not in use'. (LP: #97724)
  * restricted-manager: Do not show the confirm dialog when a driver cannot be
    changed anyway.
  * RestrictedManager/xorg_driver.py: Check if /etc/X11/xorg.conf exists, and
    if not, have can_change() return False. (LP: #97654)
  * restricted-manager: Check whether we have the correct l-r-m package
    installed and display an error dialog if not. (LP: #92854)
  * RestrictedManager/nvidia.py: Fix DefaultDepth to 24 when enabling the
    driver. (LP: #97735)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Mar 2007 13:52:17 +0200

restricted-manager (0.15) feisty; urgency=low

  * debian/control: Use XS-Python-Version 'all' instead of 'current', since
    the latter seems to break quite often on upgrades. (see #93795)
  * applications/restricted-manager.desktop.in: Do not show for non-admins.
    (LP: #97163)
  * Add RestrictedManager/xorgconfig.py (stolen from kdeguidance):
    Parser/writer for X.org configuration files. Add author and copyright to
    debian/copyright.
  * RestrictedManager/xorgconfig.py: Change formatting a bit to make it more
    similar to what dexconf produces.
  * RestrictedManager/xorg_driver.py:
    - Use xorgconfig.py to mangle /etc/X11/xorg.conf directly instead of
      relying on consistent debconf values and using dexconf. This makes r-m
      work with custom configurations (including install scripts from
      nvidia/fglrx upstream packages) and avoids changing unrelated settings
      like keyboard/screen resolution/BusID etc.  (LP: #92836, LP: #94549,
      LP: #93075)
    - Back up the entire original config before enabling a driver. If it
      exists when disabling again, restore it entirely. (LP: #96474)
    - is_enabled(): Do not check for installed GLX library package any more
      (such as nvidia-glx), since they could be installed directly from
      upstream. Now only check the xorg.conf configuration. (LP: #94626)
    - Add {enable,disable}_config_hook() for nonstandard modifications to the
      X.org configuration.
  * RestrictedManager/fglrx.py: Use above *_config_hook() to add/remove the
    'Extensions' section and disable Composite. In previous versions, dexconf
    did that for us.
  * restricted-manager: Drop check for readability of debconf database, since
    we do not need it any more.
  * Some small UI improvements, thanks to izi!
    - Remove the redundant 'Enable' button, we already have the check boxes.
    - Display stock yes/no/reload icons in addition to the textual status.
    - Add window icon.
    - Do not update the tree model when cancelling enabling/disabling.
    - Make modal dialogs transient.
    - (LP: #97170)
  * RestrictedManager/core.py: Add a global variable

