=== debian/control ===
Source: restricted-manager
Section: admin
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.2
XS-Python-Version: all
X-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/restricted-manager/trunk/

Package: restricted-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-notify (>= 0.1.1-0ubuntu2), python-glade2, python-xdg, x11-common (>= 7.2-0ubuntu6), synaptic
Description: manage non-free hardware drivers
 Restricted Manager provides a Gnome user interface for configuring
 non-free hardware drivers, such as the Nvidia and ATI fglrx X.org
 and various Wireless LAN kernel modules.
