=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile

install/restricted-manager ::
	install -m0644 -D RestrictedManager/restricted16.png \
		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/16x16/apps/restricted-manager.png
	install -m0644 -D RestrictedManager/restricted22.png \
		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/22x22/apps/restricted-manager.png
	install -m0644 -D RestrictedManager/restricted.png \
		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/32x32/apps/restricted-manager.png

	install -m0644 -D debian/apport_hook.py \
		debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/$(cdbs_curpkg).py

binary-install/restricted-manager ::
	dh_iconcache -p$(cdbs_curpkg)
