## restricted-manager 0.33.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 DOMAIN=restricted-manager
 
 PO_FILES=$(wildcard po/*.po)
-DESKTOP_FILES=$(basename $(wildcard */*.desktop.in))
+DESKTOP_FILES=$(basename $(wildcard */*.desktop.in) $(wildcard */kde/*.desktop.in))
 
 all: po/$(DOMAIN).pot build-mo $(DESKTOP_FILES)
