=== debian/changelog ===
restricted-manager (0.33.1) gutsy; urgency=low

  * Make the dependencies on the python modules pre-dependencies to ensure
    that the modules are available as soon as possible.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Oct 2007 14:00:05 +0200

restricted-manager (0.32) gutsy; urgency=low

  * RestrictedManager/{manager.glade,RestrictedManagerGtk.py}: Add a "Help"
    button and connect it to "yelp ghelp:hardware#restricted-manager", which
    provides a nice intro to restricted drivers. (LP: #134069)
  * bcm43xx.py, sl_modem.py: Uniformly name the variables for the driver
    package to "driver_package".
  * core.py: Add package_available() which uses apt-cache show to check
    whether a package is available for installation at all.
  * RestrictedManagerCommon.py, check mode: If the handler has a
    driver_package which is not available for installation, do not advertise
    it with a notification. (Gross Hacks R us, but it is good enough and
    unintrusive for Gutsy, and r-m is to be rewritten anyway in Hardy). 
    (LP: #134918)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Sep 2007 13:09:26 +0200

restricted-manager (0.31) gutsy; urgency=low

  [ Martin Pitt ]
  * RestrictedManager/{RestrictedManagerGtk.py,manager.glade}: Show the
    rationale for a driver as a tooltip. (LP: #134019)
  * RestrictedManager/core.py: Add DefaultHandler.is_hw_available(): This can
    be implemented if a handler has an additional way of detecting the
    presence of hardware and modalias matching is not sufficient. Add proper
    support for it to connected_hardware().
  * Add RestrictedManager/handlers/sl_modem.py: Handler for software modems
    supported by sl-modem-daemon. (LP: #125015)
  * Replaced icons by the excellently looking ones from Lapo Calamandrei.
    These are now GPLed and available as SVG (whereas the previous ones were
    CC-BY-SA, stolen from another project, and only available as bitmap).
    (LP: #140557)

  [ Matteo Zandi ]
  * RestrictedManager/RestrictedManagerGtk.py: Fix function name for firmware
    check. (LP: #130789)
  * RestrictedManager/RestrictedManagerGtk.py: Make "Browse" button of
    firmware dialog work instead of causing the app to hang. (LP: #135000)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Sep 2007 13:24:02 +0200

restricted-manager (0.30) gutsy; urgency=low

  [ Martin Böhm ]
  * RestrictedManagerGtk.py: Replaced the idle_function pointer with a direct
    call to self.gtk_idle(). We do not need this indirection any more.
  * RestrictedManagerKDE.py: Fix crash in mouseClicked(). (LP: #131483)
  * Add libpythonize0 as a dependency for r-m-kde. (LP: #130737)
  * Moved the guidance-backends dependency from restricted-manager to
    r-m-core. (LP: #132581)

  [ Martin Pitt ]
  * Turn the "description" handler property into a function. Properties are a
    pain when trying to call the parent method. (LP: #133218)
  * RestrictedManagerCommon.py: Do not give a "new drivers available"
    notification for drivers which are already enabled.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2007 09:24:34 +0200

restricted-manager (0.29) gutsy; urgency=low

  * Install autostart files to xdg standard directory, so they get used

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 18 Aug 2007 00:03:21 +0100

restricted-manager (0.28) gutsy; urgency=low

  * Change python-qt3 build dependency to python-qt-dev, now that the location
    of pyqtconfig has been fixed.
  * RestrictedManager/RestrictedManagerCommon.py: Revert "nvidia hardware not
    available" dialog box to a simple print. It is merely for debugging and
    not supposed to be displayed in the UI. (LP: #131141)
  * Make --check-composite work with legacy and new nvidia driver, too.
  * debian/control: Drop redundant and broken l-r-m dependencies to fix
    installability on powerpc.
  * RestrictedManager/core.py: Fix crash when a module description is not
    available. (LP: #131489)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Aug 2007 11:48:27 +0200

restricted-manager (0.27) gutsy; urgency=low

  [ Martin Pitt]
  * Move RestrictedManager/backends/core.py to RestrictedManager/core.py.
  * Rename RestrictedManager/backend to RestrictedManager/handlers.
  * RestrictedManager/handlers/lrm_driver.py: Do not use private method from
    parent class.
  * RestrictedManager/core.py: Support grouping of modules:
    - Add aggregate handler HandlerGroup.
    - Add read_grouping_map() which parses files in
      /usr/share/restricted-manager/groups/ which define groups of modules and
      their properties (module name regexp, description, optional rationale).
    - get_handlers(): Hook grouping into this central function.
    (Point 3 of restricted-manager-improvements spec)
  * Add groups/vmware: Define a handler group for the three VMWare module.
    Install it in setup.py.
  * RestrictedManager/handlers/bcm43xx.py: Update the default firmware
    download URL, the previous one is 404.

  [ Martin Böhm ]
  * Resurrected the "repository available" fix which got erroneously dropped
    during merge.
  * Fixed error_invalid_text -> error_fw_invalid_text typo. (LP: #131403)
  * Improve documentation of {install,remove}_package().

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Aug 2007 21:42:20 +0200

restricted-manager (0.26) gutsy; urgency=low

  * debian/control: l-r-m is called -powerpc on ppc, not -generic. Also drop
    dependency to a recommendation.
  * RestrictedManagerCommon.py: Change the hardcoded notification
    title/text/action strings in the Notification class to be arguments of
    launch_notification(), so that we can use it for other kinds of
    notificatinos, too.
  * core.py: Generalize {load,save}_used_list() to {load,save}_cache_list(),
    and change RestrictedManagerCommon.py accordingly. This allows us to reuse
    those function for other lists that we want to store.
  * RestrictedManagerCommon.py, --check: Keep track (in a new cache file) of

