=== debian/control ===
Source: restricted-manager
Section: admin
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.5), intltool, python-kde3-dev (>= 3.16.0-0ubuntu11), pykdeextensions (>= 0.4.0-4ubuntu1), python-sip4-dev (>= 4.6-1ubuntu1), kdelibs4-dev (>= 4:3.5.7-1ubuntu12), libtool, libpythonize0-dev, python-qt-dev
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.2
XS-Python-Version: current
X-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/restricted-manager/trunk/

Package: restricted-manager-core
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-xdg, guidance-backends
Recommends: linux-restricted-modules-generic [i386 amd64] | linux-restricted-modules-386 [i386] | linux-restricted-modules-powerpc [powerpc]
Conflicts: restricted-manager (<< 0.25)
Replaces: restricted-manager (<< 0.25)
Description: manage non-free hardware drivers
 Restricted Manager provides a user interface for configuring
 non-free hardware drivers, such as the Nvidia and ATI fglrx X.org
 and various Wireless LAN kernel modules.
 .
 This package contains the common data shared between the frontends.

Package: restricted-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Pre-Depends: python-notify (>= 0.1.1-0ubuntu2), python-glade2, python-xdg
Depends: ${python:Depends}, restricted-manager-core (= ${binary:Version}), synaptic
Description: manage non-free hardware drivers - GNOME frontend
 Restricted Manager provides a user interface for configuring
 non-free hardware drivers, such as the Nvidia and ATI fglrx X.org
 and various Wireless LAN kernel modules.
 .
 This package contains the GNOME frontend.


Package: restricted-manager-kde
Architecture: any
XB-Python-Version: ${python:Versions}
Pre-Depends: python-kde3 (>= 3.16.0-0ubuntu11), python-xdg
Depends: ${python:Depends}, restricted-manager-core (= ${binary:Version}), adept-batch, libpythonize0
Description: manage non-free hardware drivers - KDE frontend
 Restricted Manager provides a user interface for configuring
 non-free hardware drivers, such as the Nvidia and ATI fglrx X.org
 and various Wireless LAN kernel modules.
 .
 This package contains the KDE frontend and systemsettings module.
