=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile

install/restricted-manager ::
	install -m0644 -D debian/apport_hook.py \
		debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/$(cdbs_curpkg).py

	install -m0755 -D debian/restricted-manager.ubiquity \
		debian/$(cdbs_curpkg)/usr/lib/ubiquity/target-config/31restricted_manager_pkgs

install/restricted-manager-kde ::
	mkdir -p debian/$(cdbs_curpkg)/var/lib/python-support/python2.5
	ln -s /usr/lib/python2.5/site-packages/RestrictedManager/RestrictedManagerKDE.py \
          debian/$(cdbs_curpkg)/var/lib/python-support/python2.5/RestrictedManagerKDE.py
binary-install/restricted-manager ::
	dh_iconcache -p$(cdbs_curpkg)

clean::
	rm -f install_log.txt
